/* =======================================================
   BASE
======================================================= */

html {
  scroll-behavior: smooth;
}

body {
  min-width: 320px;

  color: var(--color-text);
  background-color: var(--color-surface-1);

  font-family: var(--font-family-base);
  line-height: 1.6;
}

/* =======================================================
   INTERACTIVE ELEMENTS
======================================================= */

a {
  transition: color var(--transition-fast);
}

button {
  cursor: pointer;
}

/* =======================================================
   TYPOGRAPHY
======================================================= */

p {
  text-wrap: pretty;
}

h1,
h2,
h3,
h4 {
  text-wrap: balance;
}

/* =======================================================
   ACCESSIBILITY
======================================================= */

a:focus-visible,
button:focus-visible,
input:focus-visible,
textarea:focus-visible,
select:focus-visible {
  outline: 3px solid var(--color-accent);
  outline-offset: 4px;
}

/* =======================================================
   SELECTION
======================================================= */

::selection {
  color: var(--color-white);
  background-color: var(--color-primary);
}
